package com.unitesk.requality.core;

import java.util.HashMap;
import java.util.Map;

public class HTMLSpecChars {
  public static String getCode(String name) {
    return specNameToId.get(name);
  }

  private static Map<String, String> specNameToId = new HashMap<>();

  static {
    specNameToId.put("nbsp", "160");
    specNameToId.put("iexcl", "161");
    specNameToId.put("cent", "162");
    specNameToId.put("pound", "163");
    specNameToId.put("curren", "164");
    specNameToId.put("yen", "165");
    specNameToId.put("brvbar", "166");
    specNameToId.put("sect", "167");
    specNameToId.put("uml", "168");
    specNameToId.put("copy", "169");
    specNameToId.put("ordf", "170");
    specNameToId.put("laquo", "171");
    specNameToId.put("not", "172");
    specNameToId.put("shy", "173");
    specNameToId.put("reg", "174");
    specNameToId.put("macr", "175");
    specNameToId.put("deg", "176");
    specNameToId.put("plusmn", "177");
    specNameToId.put("sup2", "178");
    specNameToId.put("sup3", "179");
    specNameToId.put("acute", "180");
    specNameToId.put("micro", "181");
    specNameToId.put("para", "182");
    specNameToId.put("middot", "183");
    specNameToId.put("cedil", "184");
    specNameToId.put("sup1", "185");
    specNameToId.put("ordm", "186");
    specNameToId.put("raquo", "187");
    specNameToId.put("frac14", "188");
    specNameToId.put("frac12", "189");
    specNameToId.put("frac34", "190");
    specNameToId.put("iquest", "191");
    specNameToId.put("Agrave", "192");
    specNameToId.put("Aacute", "193");
    specNameToId.put("Acirc", "194");
    specNameToId.put("Atilde", "195");
    specNameToId.put("Auml", "196");
    specNameToId.put("Aring", "197");
    specNameToId.put("AElig", "198");
    specNameToId.put("Ccedil", "199");
    specNameToId.put("Egrave", "200");
    specNameToId.put("Eacute", "201");
    specNameToId.put("Ecirc", "202");
    specNameToId.put("Euml", "203");
    specNameToId.put("Igrave", "204");
    specNameToId.put("Iacute", "205");
    specNameToId.put("Icirc", "206");
    specNameToId.put("Iuml", "207");
    specNameToId.put("ETH", "208");
    specNameToId.put("Ntilde", "209");
    specNameToId.put("Ograve", "210");
    specNameToId.put("Oacute", "211");
    specNameToId.put("Ocirc", "212");
    specNameToId.put("Otilde", "213");
    specNameToId.put("Ouml", "214");
    specNameToId.put("times", "215");
    specNameToId.put("Oslash", "216");
    specNameToId.put("Ugrave", "217");
    specNameToId.put("Uacute", "218");
    specNameToId.put("Ucirc", "219");
    specNameToId.put("Uuml", "220");
    specNameToId.put("Yacute", "221");
    specNameToId.put("THORN", "222");
    specNameToId.put("szlig", "223");
    specNameToId.put("agrave", "224");
    specNameToId.put("aacute", "225");
    specNameToId.put("acirc", "226");
    specNameToId.put("atilde", "227");
    specNameToId.put("auml", "228");
    specNameToId.put("aring", "229");
    specNameToId.put("aelig", "230");
    specNameToId.put("ccedil", "231");
    specNameToId.put("egrave", "232");
    specNameToId.put("eacute", "233");
    specNameToId.put("ecirc", "234");
    specNameToId.put("euml", "235");
    specNameToId.put("igrave", "236");
    specNameToId.put("iacute", "237");
    specNameToId.put("icirc", "238");
    specNameToId.put("iuml", "239");
    specNameToId.put("eth", "240");
    specNameToId.put("ntilde", "241");
    specNameToId.put("ograve", "242");
    specNameToId.put("oacute", "243");
    specNameToId.put("ocirc", "244");
    specNameToId.put("otilde", "245");
    specNameToId.put("ouml", "246");
    specNameToId.put("divide", "247");
    specNameToId.put("oslash", "248");
    specNameToId.put("ugrave", "249");
    specNameToId.put("uacute", "250");
    specNameToId.put("ucirc", "251");
    specNameToId.put("uuml", "252");
    specNameToId.put("yacute", "253");
    specNameToId.put("thorn", "254");
    specNameToId.put("yuml", "255");
    specNameToId.put("quot", "34");
    specNameToId.put("apos", "39");
    specNameToId.put("OElig", "338");
    specNameToId.put("oelig", "339");
    specNameToId.put("Scaron", "352");
    specNameToId.put("scaron", "353");
    specNameToId.put("Yuml", "376");
    specNameToId.put("circ", "710");
    specNameToId.put("tilde", "732");
    specNameToId.put("ensp", "8194");
    specNameToId.put("emsp", "8195");
    specNameToId.put("thinsp", "8201");
    specNameToId.put("zwnj", "8204");
    specNameToId.put("zwj", "8205");
    specNameToId.put("lrm", "8206");
    specNameToId.put("rlm", "8207");
    specNameToId.put("ndash", "8211");
    specNameToId.put("mdash", "8212");
    specNameToId.put("lsquo", "8216");
    specNameToId.put("rsquo", "8217");
    specNameToId.put("sbquo", "8218");
    specNameToId.put("ldquo", "8220");
    specNameToId.put("rdquo", "8221");
    specNameToId.put("bdquo", "8222");
    specNameToId.put("dagger", "8224");
    specNameToId.put("Dagger", "8225");
    specNameToId.put("permil", "8240");
    specNameToId.put("lsaquo", "8249");
    specNameToId.put("rsaquo", "8250");
    specNameToId.put("euro", "8364");
    specNameToId.put("fnof", "402");
    specNameToId.put("Alpha", "913");
    specNameToId.put("Beta", "914");
    specNameToId.put("Gamma", "915");
    specNameToId.put("Delta", "916");
    specNameToId.put("Epsilon", "917");
    specNameToId.put("Zeta", "918");
    specNameToId.put("Eta", "919");
    specNameToId.put("Theta", "920");
    specNameToId.put("Iota", "921");
    specNameToId.put("Kappa", "922");
    specNameToId.put("Lambda", "923");
    specNameToId.put("Mu", "924");
    specNameToId.put("Nu", "925");
    specNameToId.put("Xi", "926");
    specNameToId.put("Omicron", "927");
    specNameToId.put("Pi", "928");
    specNameToId.put("Rho", "929");
    specNameToId.put("Sigma", "931");
    specNameToId.put("Tau", "932");
    specNameToId.put("Upsilon", "933");
    specNameToId.put("Phi", "934");
    specNameToId.put("Chi", "935");
    specNameToId.put("Psi", "936");
    specNameToId.put("Omega", "937");
    specNameToId.put("alpha", "945");
    specNameToId.put("beta", "946");
    specNameToId.put("gamma", "947");
    specNameToId.put("delta", "948");
    specNameToId.put("epsilon", "949");
    specNameToId.put("zeta", "950");
    specNameToId.put("eta", "951");
    specNameToId.put("theta", "952");
    specNameToId.put("iota", "953");
    specNameToId.put("kappa", "954");
    specNameToId.put("lambda", "955");
    specNameToId.put("mu", "956");
    specNameToId.put("nu", "957");
    specNameToId.put("xi", "958");
    specNameToId.put("omicron", "959");
    specNameToId.put("pi", "960");
    specNameToId.put("rho", "961");
    specNameToId.put("sigmaf", "962");
    specNameToId.put("sigma", "963");
    specNameToId.put("tau", "964");
    specNameToId.put("upsilon", "965");
    specNameToId.put("phi", "966");
    specNameToId.put("chi", "967");
    specNameToId.put("psi", "968");
    specNameToId.put("omega", "969");
    specNameToId.put("thetasym", "977");
    specNameToId.put("upsih", "978");
    specNameToId.put("piv", "982");
    specNameToId.put("bull", "8226");
    specNameToId.put("hellip", "8230");
    specNameToId.put("prime", "8242");
    specNameToId.put("Prime", "8243");
    specNameToId.put("oline", "8254");
    specNameToId.put("frasl", "8260");
    specNameToId.put("weierp", "8472");
    specNameToId.put("image", "8465");
    specNameToId.put("real", "8476");
    specNameToId.put("trade", "8482");
    specNameToId.put("alefsym", "8501");
    specNameToId.put("larr", "8592");
    specNameToId.put("uarr", "8593");
    specNameToId.put("rarr", "8594");
    specNameToId.put("darr", "8595");
    specNameToId.put("harr", "8596");
    specNameToId.put("crarr", "8629");
    specNameToId.put("lArr", "8656");
    specNameToId.put("uArr", "8657");
    specNameToId.put("rArr", "8658");
    specNameToId.put("dArr", "8659");
    specNameToId.put("hArr", "8660");
    specNameToId.put("forall", "8704");
    specNameToId.put("part", "8706");
    specNameToId.put("exist", "8707");
    specNameToId.put("empty", "8709");
    specNameToId.put("nabla", "8711");
    specNameToId.put("isin", "8712");
    specNameToId.put("notin", "8713");
    specNameToId.put("ni", "8715");
    specNameToId.put("prod", "8719");
    specNameToId.put("sum", "8721");
    specNameToId.put("minus", "8722");
    specNameToId.put("lowast", "8727");
    specNameToId.put("radic", "8730");
    specNameToId.put("prop", "8733");
    specNameToId.put("infin", "8734");
    specNameToId.put("ang", "8736");
    specNameToId.put("and", "8743");
    specNameToId.put("or", "8744");
    specNameToId.put("cap", "8745");
    specNameToId.put("cup", "8746");
    specNameToId.put("int", "8747");
    specNameToId.put("there4", "8756");
    specNameToId.put("sim", "8764");
    specNameToId.put("cong", "8773");
    specNameToId.put("asymp", "8776");
    specNameToId.put("ne", "8800");
    specNameToId.put("equiv", "8801");
    specNameToId.put("le", "8804");
    specNameToId.put("ge", "8805");
    specNameToId.put("sub", "8834");
    specNameToId.put("sup", "8835");
    specNameToId.put("nsub", "8836");
    specNameToId.put("sube", "8838");
    specNameToId.put("supe", "8839");
    specNameToId.put("oplus", "8853");
    specNameToId.put("otimes", "8855");
    specNameToId.put("perp", "8869");
    specNameToId.put("sdot", "8901");
    specNameToId.put("lceil", "8968");
    specNameToId.put("rceil", "8969");
    specNameToId.put("lfloor", "8970");
    specNameToId.put("rfloor", "8971");
    specNameToId.put("lang", "9001");
    specNameToId.put("rang", "9002");
    specNameToId.put("loz", "9674");
    specNameToId.put("spades", "9824");
    specNameToId.put("clubs", "9827");
    specNameToId.put("hearts", "9829");
    specNameToId.put("diams", "9830");
  }
}
