package com.unitesk.requality.core.operations;

import java.util.List;
import java.util.Map;
import com.unitesk.requality.core.TreeNode;
import com.unitesk.requality.documents.IProgressMonitor;
import com.unitesk.requality.nodetypes.ReportSettings;

public interface IGenerateReportHandler {

  Object execute(List<TreeNode> nodes, Map<?, ?> par, IProgressMonitor monitor) throws Exception;

  ReportGenResult generateReport(ReportSettings reportS, IProgressMonitor monitor);

  boolean isEnabled(List<TreeNode> nodes);

  void clearOldImages(ReportSettings report);
}
