package com.unitesk.requality.core.propagators;

import java.util.Comparator;

public class AttributePropagatorComparator implements Comparator<IAttributeChangePropagator>{
  private AttributePropagatorComparator() {
  }
  @Override
  public int compare(IAttributeChangePropagator o1, IAttributeChangePropagator o2) {
    return Integer.compare(o1.getPriority(),o2.getPriority());
  }
  private static AttributePropagatorComparator one = new AttributePropagatorComparator();
  public static AttributePropagatorComparator getOne(){
    return one;
  }
}
