package com.unitesk.requality.core.propagators;

import com.unitesk.requality.core.ChangesSet;
import com.unitesk.requality.core.Moment;
import com.unitesk.requality.core.TreeNode;
import com.unitesk.requality.core.attribute.Attribute;

public interface IAttributeChangePropagator {
  public int getPriority();
  public boolean shouldBeApplied(TreeNode node, ChangesSet<Attribute> cs, Moment m);
  public boolean apply(TreeNode node, ChangesSet<Attribute> cs);
}
