package com.unitesk.requality.eclipse.cvs;

import java.io.ByteArrayOutputStream;
import java.io.PrintWriter;

public class CVSException extends Exception {

  /** */
  private static final long serialVersionUID = -8593904906883548013L;

  public CVSException() {
    this(null);
  }

  public CVSException(String string) {
    super(string);
  }

  private static String exceptionToString(Exception ec) {
    ByteArrayOutputStream baos = new ByteArrayOutputStream();
    ec.printStackTrace(new PrintWriter(baos));
    return baos.toString();
  }

  public CVSException(String string, Exception ec) {
    super(string + exceptionToString(ec));
  }
}
