package com.unitesk.requality.eclipse.handlers;

import com.unitesk.requality.core.TreeNode;
import com.unitesk.requality.core.attribute.Flag;
import com.unitesk.requality.nodetypes.Comment;
import com.unitesk.requality.tools.RequalityCLI;

public class CreateCommentHandler extends NewElementHandler {

  @Override
  protected String getNewIdentifier(TreeNode par, String type,boolean filter) {
    if(!filter)
      return null;
    return RequalityCLI.getNextId(par, type, "Comment ");
  };

  @Override
  public String[] getElementTypes() {
    return new String[] {Comment.TYPE_NAME};
  }

  @Override
  protected void setElementSpecificAttributes(TreeNode nn) {
    nn.attrs().setConstAttribute(Comment.ATTR_AUTHOR, System.getProperty("user.name", ""), Flag.HIDDEN);
  }
}
