package com.unitesk.requality.eclipse.handlers;

import java.util.List;
import java.util.Set;

import org.eclipse.core.commands.AbstractHandler;
import org.eclipse.core.commands.ExecutionEvent;
import org.eclipse.core.commands.ExecutionException;
import org.eclipse.core.commands.IHandler;

import com.unitesk.requality.core.selection.SelectionManager;
import com.unitesk.requality.core.TreeNode;
import com.unitesk.requality.eclipse.Activator;

public class NewMenuHide extends AbstractHandler implements IHandler {

  @Override
  public boolean isEnabled() {
    try {
      List<com.unitesk.requality.core.TreeNode> nodes =
          SelectionManager.getOne().getSelectedNodes();
      if (nodes == null || nodes.size() != 1) return false;
      TreeNode node = nodes.get(0);
      Set<NewElementHandler> news = Activator.getDefault().getNewElementHandlers();
      for (NewElementHandler nw : news)
        for (String s : nw.getElementTypes())
          if (node.getTreeDB().getTreeLogic().canBeCreatedIn(s, node)) return true;
    } catch (Exception e) {
      e.printStackTrace();
    }
    return false;
  }

  @Override
  public Object execute(ExecutionEvent event) throws ExecutionException {
    return null;
  }
}
