package com.unitesk.requality.eclipse.handlers.copypaste;

import java.util.List;

import org.eclipse.core.commands.AbstractHandler;
import org.eclipse.core.commands.ExecutionEvent;
import org.eclipse.core.commands.ExecutionException;

import com.unitesk.requality.core.TreeNode;
import com.unitesk.requality.core.selection.SelectionManager;

public class CopyHandler extends AbstractHandler {
  com.unitesk.requality.core.operations.CopyHandler ch =
      new com.unitesk.requality.core.operations.CopyHandler();

  @Override
  public Object execute(ExecutionEvent event) throws ExecutionException {
    List<TreeNode> nodes = SelectionManager.getOne().getSelectedNodes();
    copyNodes(nodes.toArray(new TreeNode[0]), false);
    return null;
  }

  public void copyNodes(TreeNode[] nodes, boolean cutNode) {
    ch.copyNodes(nodes, cutNode);
  }

  @Override
  public boolean isEnabled() {
    List<TreeNode> nodes = SelectionManager.getOne().getSelectedNodes();
    return ch.isEnabled(nodes);
  }
}
