package com.unitesk.requality.eclipse.ui.editors;

import java.util.HashSet;
import java.util.Set;
import org.eclipse.swt.widgets.Composite;
import com.unitesk.requality.core.TreeNode;
import com.unitesk.requality.nodetypes.Requirement;
import com.unitesk.requality.nodetypes.TestPurpose;
import com.unitesk.requality.nodetypes.TextNode;

public class ReviewEditor extends JSEditor {
  public static final String ID = "com.unitesk.requality.editors.ReviewEditor";
  public static Set<String> defaultAttrs = new HashSet<>();
  static{
    defaultAttrs.add(TreeNode.ATTR_ID);
    defaultAttrs.add(TreeNode.ATTR_TYPE);
    defaultAttrs.add(TreeNode.ATTR_DESCRIPTION);
    defaultAttrs.add(Requirement.ATTR_LOCATIONS);
    defaultAttrs.add(TreeNode.ATTR_HIDDEN);
    defaultAttrs.add(TreeNode.ATTR_IGNORE_NAME);
    defaultAttrs.add(TreeNode.ATTR_NAME);
    defaultAttrs.add(Requirement.ATTR_STATUS);
    defaultAttrs.add(TestPurpose.ATTR_EXPECTED_RESULTS);
    defaultAttrs.add(TestPurpose.ATTR_STATUS);
    defaultAttrs.add(TextNode.ATTR_TNTYPE);
  }
  public ReviewEditor() {
    super("unieditor.html",defaultAttrs);
    setTabLabel("Review");
  }

  @Override
  public void createPartControl(Composite parent) {
    super.createPartControl(parent);
    setEditMode(EDIT_MODE_REQ_RO | EDIT_MODE_TP_RO);
  }
}
