package com.unitesk.requality.eclipse.views;

import com.unitesk.requality.core.ITreeNodeProvider;
import com.unitesk.requality.core.TreeNode;

public class PrefixAndTreeNode implements ITreeNodeProvider{
  private TreeNode node; 
  private String prefix;
  private boolean ignoreNode;
  public PrefixAndTreeNode(TreeNode node, String prefix){
    this(false, node, prefix);
  }
  public PrefixAndTreeNode(boolean ignoreNode, TreeNode node, String prefix){
    this.node = node;
    this.prefix = prefix;
    this.ignoreNode = ignoreNode;
  }
  @Override
  public String toString() {
    return prefix+(ignoreNode?"":"[_prefix]"+node.getUserVisibleName());
  }
  public TreeNode getNode() {
    return node;
  }
}
