package com.unitesk.requality.core;

import java.util.HashSet;
import java.util.Set;

public class EventSource {
  private static Set<String> ids = new HashSet<>();
  public static String GENERAL = "GENERAL",
      EXPLORER = "EXPLORER",
      LCNF = "LCNF",
      EDITOR = "EDITOR",
      PROPERTIES = "PROPERTIES";

  static {
    ids.add(GENERAL);
    ids.add(EXPLORER);
    ids.add(EDITOR);
    ids.add(PROPERTIES);
  }

  public static void registerEventSource(String id) {
    ids.add(id);
  }

  public static String[] values() {
    return ids.toArray(new String[0]);
  }
}
