package com.unitesk.requality.core.api;

import java.util.Collection;
import java.util.Map;

import com.unitesk.requality.core.descriptors.CoverageStorageSourceDescriptor;
import com.unitesk.requality.report.Template;

public interface IAPISource {
  public Collection<MassOppDescriptor> loadMassOpsDescriptors();

  public Map<String, Template> getReportTemplates();

  public Map<String, CoverageStorageSourceDescriptor> getCoverageSources();
}
