package com.unitesk.requality.core.attribute;

import java.util.Collection;
import java.util.HashMap;
import java.util.Map;
import java.util.Map.Entry;
import com.unitesk.requality.core.TreeNode;

public class SystemNames {
  private static Map<String,String> smap = new HashMap<>(),revs = new HashMap<>();
  static {
    smap.put(TreeNode.ATTR_NAME, "%Name");
    smap.put(TreeNode.ATTR_NAMEORID, "%Name");
    smap.put(TreeNode.ATTR_ID, "%Id");
    smap.put(TreeNode.ATTR_DESCRIPTION, "%Description");
    smap.put(TreeNode.ATTR_DOORS_ID, "%ForeignID");
    for(Entry<String, String> s:smap.entrySet())
      revs.put(s.getValue(), s.getKey());
  }
  public static String getVisSysName(String name){
    return smap.get(name);
  }
  public static Collection<String> getVisSysNames(){
    return smap.values();
  }
  public static String getSysName(String text) {
    return revs.get(text);
  }
}
