package com.unitesk.requality.tools.reqif;

import com.unitesk.requality.core.TreeNode;
import com.unitesk.requality.core.attribute.Attribute;

public abstract class AttributeConverter {
  public ReqIFModel model;

  public AttributeConverter(ReqIFModel model) {
    this.model = model;
  }

  abstract void convertRequalityToReqIF(TreeNode node, Attribute attr);

  abstract void convertReqIFToRequality(TreeNode node, AbstractAttributeValue attr);
}
