package com.unitesk.requality.eclipse.storageformatversion;

public class VersionUpdateInfo {
  private String oldVersion, newVersion, status, groupId;
  private IFormatVersionConverter converter;

  public VersionUpdateInfo(
      String groupId,
      String oldVersion,
      String newVersion,
      String status,
      IFormatVersionConverter converter) {
    this.oldVersion = oldVersion;
    this.newVersion = newVersion;
    this.status = status;
    this.converter = converter;
    this.groupId = groupId;
  }

  public String getOldVersion() {
    return oldVersion;
  }

  public String getNewVersion() {
    return newVersion;
  }

  public String getStatus() {
    return status;
  }

  public IFormatVersionConverter getConverter() {
    return converter;
  }

  @Override
  public String toString() {
    return "data format '" + groupId + "' (" + oldVersion + " -> " + newVersion + ") " + status;
  }

  public String getGroupId() {
    return groupId;
  }
}
