package com.unitesk.requality.eclipse.views.properties;

import org.eclipse.core.resources.IProject;
import org.eclipse.core.runtime.CoreException;
import org.eclipse.jface.viewers.IFilter;

import com.unitesk.requality.eclipse.natures.ReqCatalogue;

public class RootNodeFilter implements IFilter {

  @Override
  public boolean select(Object toTest) {
    if (!(toTest instanceof IProject)) return false;
    IProject p = (IProject) toTest;
    try {
      return p.hasNature(ReqCatalogue.ID);
    } catch (CoreException e) {
    }
    return false;
  }
}
